Package io.vertx.json.schema.common

## Class ValidationExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.json.schema.ValidationException
          - - io.vertx.json.schema.common.ValidationExceptionImpl

- All Implemented Interfaces:
    `Serializable`

      public class ValidationExceptionImpl
      extends ValidationException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.ValidationException

      `inputScope`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationExceptionImpl​(String message, String keyword, Object input)` |
    `ValidationExceptionImpl​(String message, Throwable cause, String keyword, Object input)` |
    `ValidationExceptionImpl​(String message, Collection<Throwable> causes, String keyword, Object input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setInputScope​(JsonPointer scope)` |

    - ### Methods inherited from class io.vertx.json.schema.ValidationException

      `create, create, create, createException, createException, createException, input, inputScope, keyword, toString`

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationExceptionImpl

          public ValidationExceptionImpl​(String message,
                                         String keyword,
                                         Object input)

    - #### ValidationExceptionImpl

          public ValidationExceptionImpl​(String message,
                                         Throwable cause,
                                         String keyword,
                                         Object input)

    - #### ValidationExceptionImpl

          public ValidationExceptionImpl​(String message,
                                         Collection<Throwable> causes,
                                         String keyword,
                                         Object input)

  - ### Method Detail

    - #### setInputScope

          public void setInputScope​(JsonPointer scope)